Developers

Riferimento API per sviluppatori

An API key is required for requests to be processed by the system. Once a user registers, an API key is automatically generated for this user.

Iniziare

È necessaria una chiave API affinché le richieste vengano elaborate dal sistema. Una volta che un utente si registra, viene generata automaticamente una chiave API per questo utente. La chiave API deve essere inviata con ogni richiesta (vedi esempio completo di seguito). Se la chiave API non viene inviata o è scaduta, si verificherà un errore. Assicurati di mantenere segreta la tua chiave API per prevenire abusi.

Autenticazione

Per autenticarti con il sistema API, devi inviare la tua chiave API come token di autorizzazione con ogni richiesta. Puoi vedere il codice di esempio di seguito.

curl --location --request POST 'https://urlkai.com/api/account' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \ 

Limite di tariffa

La nostra API ha un limitatore di velocità per salvaguardare da picchi di richieste per massimizzarne la stabilità. Il nostro limitatore di velocità è attualmente limitato a 30 richieste al 1 minuto. Xin lưu ý rằng tỷ giá có thể thay đổi tùy theo gói đã đăng ký.

Insieme alla risposta verranno inviate diverse intestazioni che possono essere esaminate per determinare varie informazioni sulla richiesta.

X-RateLimit-Limit: 30X-RateLimit-Remaining: 29X-RateLimit-Reset: TIMESTAMP

Gestione della risposta

Tutte le risposte API vengono restituite in formato JSON per impostazione predefinita. Per convertirli in dati utilizzabili, sarà necessario utilizzare la funzione appropriata in base alla lingua. In PHP, la funzione json_decode() può essere utilizzata per convertire i dati in un oggetto (predefinito) o in un array (impostare il secondo parametro su true). È molto importante controllare la chiave di errore in quanto fornisce informazioni sull'eventuale presenza di un errore. Puoi anche controllare il codice dell'intestazione.

{
    "error": 1,
    "message": "An error occurred"
}

Tài khoản

Tài khoản Ottieni

ĐƯỢC https://urlkai.com/api/account

Per ottenere informazioni sull'account, puoi inviare una richiesta a questo endpoint che restituirà i dati sull'account.

curl --location --request GET 'https://urlkai.com/api/account' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Risposta del server

{
    "error": 0,
    "data": {
        "id": 1,
        "email": "[email protected]",
        "username": "sampleuser",
        "avatar": "https:\/\/domain.com\/content\/avatar.png",
        "status": "pro",
        "expires": "2022-11-15 15:00:00",
        "registered": "2020-11-10 18:01:43"
    }
}

Tài khoản Aggiorna

ĐỂ https://urlkai.com/api/account/update

Per aggiornare le informazioni sull'account, puoi inviare una richiesta a questo endpoint che aggiornerà i dati sull'account.

curl --location --request PUT 'https://urlkai.com/api/account/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "email": "[email protected]",
    "password": "NewPassword1"
}'

Risposta del server

{
    "error": 0,
    "message": "Account has been successfully updated."
}

Campagne

Liệt kê chiến dịch

ĐƯỢC https://urlkai.com/api/campaigns?limit=2&page=1

Để tải chiến dịch của bạn qua API, bạn có thể sử dụng điểm cuối này. Bạn cũng có thể lọc dữ liệu (Xem bảng để biết thêm thông tin).

Tàu điện ngầm Descrizione
giới hạn (tùy chọn) Kết quả dữ liệu trên mỗi trang
trang (tùy chọn) Yêu cầu trang hiện tại
curl --location --request GET 'https://urlkai.com/api/campaigns?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Risposta del server

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "campaigns": [
            {
                "id": 1,
                "name": "Sample Campaign",
                "public": false,
                "rotator": false,
                "list": "https:\/\/domain.com\/u\/admin\/list-1"
            },
            {
                "id": 2,
                "domain": "Facebook Campaign",
                "public": true,
                "rotator": "https:\/\/domain.com\/r\/test",
                "list": "https:\/\/domain.com\/u\/admin\/test-2"
            }
        ]
    }
}

Crea una campagna

TRỤ https://urlkai.com/api/campaign/add

Bạn có thể thêm chiến dịch bằng điểm cuối này.

Tàu điện ngầm Descrizione
Tên (tùy chọn) Tên chiến dịch
sên (tùy chọn) Sên xoay
công cộng (tùy chọn) Truy cập
curl --location --request POST 'https://urlkai.com/api/campaign/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "New Campaign",
    "slug": "new-campaign",
    "public": true
}'

Risposta del server

{
    "error": 0,
    "id": 3,
    "domain": "New Campaign",
    "public": true,
    "rotator": "https:\/\/domain.com\/r\/new-campaign",
    "list": "https:\/\/domain.com\/u\/admin\/new-campaign-3"
}
TRỤ https://urlkai.com/api/campaign/:campaignid/assign/:linkid

Một liên kết ngắn có thể được gán cho một chiến dịch bằng cách sử dụng điểm cuối này. Điểm cuối yêu cầu ID chiến dịch và ID liên kết ngắn.

curl --location --request POST 'https://urlkai.com/api/campaign/:campaignid/assign/:linkid' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Risposta del server

{
    "error": 0,
    "message": "Link successfully added to the campaign."
}

Aggiorna campagna

ĐỂ https://urlkai.com/api/campaign/:id/update

Để cập nhật chiến dịch, bạn cần gửi dữ liệu hợp lệ ở dạng JSON thông qua yêu cầu PUT. Dữ liệu phải được gửi dưới dạng nội dung thô của yêu cầu của bạn như hình dưới đây. Ví dụ dưới đây cho thấy tất cả các thông số bạn có thể gửi nhưng bạn không bắt buộc phải gửi tất cả (Xem bảng để biết thêm thông tin).

Tàu điện ngầm Descrizione
Tên (bắt buộc) Tên chiến dịch
sên (tùy chọn) Sên xoay
công cộng (tùy chọn) Truy cập
curl --location --request PUT 'https://urlkai.com/api/campaign/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "Twitter Campaign",
    "slug": "twitter-campaign",
    "public": true
}'

Risposta del server

{
    "error": 0,
    "id": 3,
    "domain": "Twitter Campaign",
    "public": true,
    "rotator": "https:\/\/domain.com\/r\/twitter-campaign",
    "list": "https:\/\/domain.com\/u\/admin\/twitter-campaign-3"
}

Xóa chiến dịch

XÓA https://urlkai.com/api/campaign/:id/delete

Để xóa chiến dịch, bạn cần gửi yêu cầu XÓA.

curl --location --request DELETE 'https://urlkai.com/api/campaign/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Risposta del server

{
    "error": 0,
    "message": "Campaign has been deleted successfully."
}

Liệt kê kênh

ĐƯỢC https://urlkai.com/api/channels?limit=2&page=1

Để tải kênh của bạn qua API, bạn có thể sử dụng điểm cuối này. Bạn cũng có thể lọc dữ liệu (Xem bảng để biết thêm thông tin).

Tàu điện ngầm Descrizione
giới hạn (tùy chọn) Kết quả dữ liệu trên mỗi trang
trang (tùy chọn) Yêu cầu trang hiện tại
curl --location --request GET 'https://urlkai.com/api/channels?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Risposta del server

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "channels": [
            {
                "id": 1,
                "name": "Channel 1",
                "description": "Description of channel 1",
                "color": "#000000",
                "starred": true
            },
            {
                "id": 2,
                "name": "Channel 2",
                "description": "Description of channel 2",
                "color": "#FF0000",
                "starred": false
            }
        ]
    }
}

Liệt kê các mục kênh

ĐƯỢC https://urlkai.com/api/channel/:id?limit=1&page=1

Để lấy các mục trong một kênh được chọn thông qua API, bạn có thể sử dụng điểm cuối này. Bạn cũng có thể lọc dữ liệu (Xem bảng để biết thêm thông tin).

Tàu điện ngầm Descrizione
giới hạn (tùy chọn) Kết quả dữ liệu trên mỗi trang
trang (tùy chọn) Yêu cầu trang hiện tại
curl --location --request GET 'https://urlkai.com/api/channel/:id?limit=1&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Risposta del server

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "items": [
            {
                "type": "links",
                "id": 1,
                "title": "My Sample Link",
                "preview": "https:\/\/google.com",
                "link": "https:\/\/urlkai.com\/google",
                "date": "2022-05-12"
            },
            {
                "type": "bio",
                "id": 1,
                "title": "My Sample Bio",
                "preview": "https:\/\/urlkai.com\/mybio",
                "link": "https:\/\/urlkai.com\/mybio",
                "date": "2022-06-01"
            }
        ]
    }
}

Crea un canale

TRỤ https://urlkai.com/api/channel/add

Một kênh có thể được thêm vào bằng cách sử dụng điểm cuối này.

Tàu điện ngầm Descrizione
Tên (bắt buộc) Tên kênh
sự miêu tả (tùy chọn) Mô tả kênh
màu (tùy chọn) Màu huy hiệu kênh (HEX)
Đóng (tùy chọn) Gắn dấu sao cho kênh hay không (đúng hoặc sai)
curl --location --request POST 'https://urlkai.com/api/channel/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "New Channel",
    "description": "my new channel",
    "color": "#000000",
    "starred": true
}'

Risposta del server

{
    "error": 0,
    "id": 3,
    "name": "New Channel",
    "description": "my new channel",
    "color": "#000000",
    "starred": true
}

Gán một mục cho một kênh

TRỤ https://urlkai.com/api/channel/:channelid/assign/:type/:itemid

Một mục có thể được gán cho bất kỳ kênh nào bằng cách gửi yêu cầu với id kênh, loại mục (liên kết, tiểu sử hoặc qr) và id mục.

Tàu điện ngầm Descrizione
:kênhid (bắt buộc) ID kênh
:kiểu (bắt buộc) liên kết hoặc tiểu sử hoặc QR
:itemid (bắt buộc) ID mặt hàng
curl --location --request POST 'https://urlkai.com/api/channel/:channelid/assign/:type/:itemid' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Risposta del server

{
    "error": 0,
    "message": "Item successfully added to the channel."
}

Kênh Aggiorna

ĐỂ https://urlkai.com/api/channel/:id/update

Để cập nhật kênh, bạn cần gửi dữ liệu hợp lệ ở dạng JSON thông qua yêu cầu PUT. Dữ liệu phải được gửi dưới dạng nội dung thô của yêu cầu của bạn như hình dưới đây. Ví dụ dưới đây cho thấy tất cả các thông số bạn có thể gửi nhưng bạn không bắt buộc phải gửi tất cả (Xem bảng để biết thêm thông tin).

Tàu điện ngầm Descrizione
Tên (tùy chọn) Tên kênh
sự miêu tả (tùy chọn) Mô tả kênh
màu (tùy chọn) Màu huy hiệu kênh (HEX)
Đóng (tùy chọn) Gắn dấu sao cho kênh hay không (đúng hoặc sai)
curl --location --request PUT 'https://urlkai.com/api/channel/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "Acme Corp",
    "description": "channel for items for Acme Corp",
    "color": "#FFFFFF",
    "starred": false
}'

Risposta del server

{
    "error": 0,
    "message": "Channel has been updated successfully."
}

Xóa kênh

XÓA https://urlkai.com/api/channel/:id/delete

Để xóa kênh, bạn cần gửi yêu cầu XÓA. Tất cả các vật phẩm cũng sẽ không được chỉ định.

curl --location --request DELETE 'https://urlkai.com/api/channel/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Risposta del server

{
    "error": 0,
    "message": "Channel has been deleted successfully."
}

Liệt kê mã QR

ĐƯỢC https://urlkai.com/api/qr?limit=2&page=1

Per ottenere i tuoi codici QR tramite l'API, puoi utilizzare questo endpoint. Puoi anche filtrare i dati (vedi tabella per maggiori informazioni).

Tàu điện ngầm Descrizione
giới hạn (tùy chọn) Kết quả dữ liệu trên mỗi trang
trang (tùy chọn) Yêu cầu trang hiện tại
curl --location --request GET 'https://urlkai.com/api/qr?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Risposta del server

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "qrs": [
            {
                "id": 2,
                "link": "https:\/\/urlkai.com\/qr\/a2d5e",
                "scans": 0,
                "name": "Google",
                "date": "2020-11-10 18:01:43"
            },
            {
                "id": 1,
                "link": "https:\/\/urlkai.com\/qr\/b9edfe",
                "scans": 5,
                "name": "Google Canada",
                "date": "2020-11-10 18:00:25"
            }
        ]
    }
}

Ottieni un unico QR Code

ĐƯỢC https://urlkai.com/api/qr/:id

Per ottenere i dettagli per un singolo codice QR tramite l'API, puoi utilizzare questo endpoint.

curl --location --request GET 'https://urlkai.com/api/qr/:id' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Risposta del server

{
    "error": 0,
    "details": {
        "id": 1,
        "link": "https:\/\/urlkai.com\/qr\/b9edfe",
        "scans": 5,
        "name": "Google Canada",
        "date": "2020-11-10 18:00:25"
    },
    "data": {
        "clicks": 1,
        "uniqueClicks": 1,
        "topCountries": {
            "Unknown": "1"
        },
        "topReferrers": {
            "Direct, email and other": "1"
        },
        "topBrowsers": {
            "Chrome": "1"
        },
        "topOs": {
            "Windows 10": "1"
        },
        "socialCount": {
            "facebook": 0,
            "twitter": 0,
            "instagram": 0
        }
    }
}

Crea un codice QR

TRỤ https://urlkai.com/api/qr/add

Để tạo Mã QR, bạn cần gửi dữ liệu hợp lệ ở dạng JSON thông qua yêu cầu POST. Dữ liệu phải được gửi dưới dạng nội dung thô của yêu cầu của bạn như hình dưới đây. Ví dụ dưới đây cho thấy tất cả các thông số bạn có thể gửi nhưng bạn không bắt buộc phải gửi tất cả (Xem bảng để biết thêm thông tin).

Tàu điện ngầm Descrizione
kiểu (bắt buộc) văn bản | Thẻ vCard | liên kết | Thư điện tử | Điện thoại | SMS | Wifi
dữ liệu (bắt buộc) Dữ liệu được nhúng bên trong mã QR. Dữ liệu có thể là chuỗi hoặc mảng tùy thuộc vào loại
nền (tùy chọn) Màu RGB, ví dụ: rgb(255,255,255)
Foreground (tùy chọn) Màu RGB, ví dụ: rgb(0,0,0)
logo (tùy chọn) Đường dẫn đến logo png hoặc jpg
Tên (tùy chọn) Tên mã QR
curl --location --request POST 'https://urlkai.com/api/qr/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "type": "link",
    "data": "https:\/\/google.com",
    "background": "rgb(255,255,255)",
    "foreground": "rgb(0,0,0)",
    "logo": "https:\/\/site.com\/logo.png",
    "name": "QR Code API"
}'

Risposta del server

{
    "error": 0,
    "id": 3,
    "link": "https:\/\/urlkai.com\/qr\/a58f79"
}

Cập nhật mã QR

ĐỂ https://urlkai.com/api/qr/:id/update

Per aggiornare un codice QR, devi inviare un dato valido in JSON tramite una richiesta PUT. I dati devono essere inviati come corpo grezzo della tua richiesta come mostrato di seguito. L'esempio seguente mostra tutti i parametri che puoi inviare ma non è necessario inviarli tutti (vedi tabella per maggiori informazioni).

Tàu điện ngầm Descrizione
dữ liệu (bắt buộc) Dữ liệu được nhúng bên trong mã QR. Dữ liệu có thể là chuỗi hoặc mảng tùy thuộc vào loại
nền (tùy chọn) Màu RGB, ví dụ: rgb(255,255,255)
Foreground (tùy chọn) Màu RGB, ví dụ: rgb(0,0,0)
logo (tùy chọn) Đường dẫn đến logo png hoặc jpg
curl --location --request PUT 'https://urlkai.com/api/qr/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "type": "link",
    "data": "https:\/\/google.com",
    "background": "rgb(255,255,255)",
    "foreground": "rgb(0,0,0)",
    "logo": "https:\/\/site.com\/logo.png"
}'

Risposta del server

{
    "error": 0,
    "message": "QR has been updated successfully."
}

Elimina un codice QR

XÓA https://urlkai.com/api/qr/:id/delete

Per eliminare un codice QR, è necessario inviare una richiesta DELETE.

curl --location --request DELETE 'https://urlkai.com/api/qr/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Risposta del server

{
    "error": 0,
    "message": "QR Code has been deleted successfully."
}

Domini di marca

Liệt kê tên miền có thương hiệu

ĐƯỢC https://urlkai.com/api/domains?limit=2&page=1

Để nhận miền có thương hiệu của bạn thông qua API, bạn có thể sử dụng điểm cuối này. Bạn cũng có thể lọc dữ liệu (Xem bảng để biết thêm thông tin).

Tàu điện ngầm Descrizione
giới hạn (tùy chọn) Kết quả dữ liệu trên mỗi trang
trang (tùy chọn) Yêu cầu trang hiện tại
curl --location --request GET 'https://urlkai.com/api/domains?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Risposta del server

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "domains": [
            {
                "id": 1,
                "domain": "https:\/\/domain1.com",
                "redirectroot": "https:\/\/rootdomain.com",
                "redirect404": "https:\/\/rootdomain.com\/404"
            },
            {
                "id": 2,
                "domain": "https:\/\/domain2.com",
                "redirectroot": "https:\/\/rootdomain2.com",
                "redirect404": "https:\/\/rootdomain2.com\/404"
            }
        ]
    }
}

Tạo tên miền có thương hiệu

TRỤ https://urlkai.com/api/domain/add

Một miền có thể được thêm vào bằng cách sử dụng điểm cuối này. Vui lòng đảm bảo tên miền được trỏ chính xác đến máy chủ của chúng tôi.

Tàu điện ngầm Descrizione
miền (bắt buộc) Tên miền có thương hiệu bao gồm http hoặc https
chuyển hướngroot (tùy chọn) Chuyển hướng gốc khi ai đó truy cập miền của bạn
chuyển hướng404 (tùy chọn) Chuyển hướng 404 tùy chỉnh
curl --location --request POST 'https://urlkai.com/api/domain/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "domain": "https:\/\/domain1.com",
    "redirectroot": "https:\/\/rootdomain.com",
    "redirect404": "https:\/\/rootdomain.com\/404"
}'

Risposta del server

{
    "error": 0,
    "id": 1
}

Aggiorna dominio

ĐỂ https://urlkai.com/api/domain/:id/update

Để cập nhật tên miền có thương hiệu, bạn cần gửi dữ liệu hợp lệ ở dạng JSON thông qua yêu cầu PUT. Dữ liệu phải được gửi dưới dạng nội dung thô của yêu cầu của bạn như hình dưới đây. Ví dụ dưới đây cho thấy tất cả các thông số bạn có thể gửi nhưng bạn không bắt buộc phải gửi tất cả (Xem bảng để biết thêm thông tin).

Tàu điện ngầm Descrizione
chuyển hướngroot (tùy chọn) Chuyển hướng gốc khi ai đó truy cập miền của bạn
chuyển hướng404 (tùy chọn) Chuyển hướng 404 tùy chỉnh
curl --location --request PUT 'https://urlkai.com/api/domain/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "redirectroot": "https:\/\/rootdomain-new.com",
    "redirect404": "https:\/\/rootdomain-new.com\/404"
}'

Risposta del server

{
    "error": 0,
    "message": "Domain has been updated successfully."
}

Xóa tên miền

XÓA https://urlkai.com/api/domain/:id/delete

Để xóa miền, bạn cần gửi yêu cầu DELETE.

curl --location --request DELETE 'https://urlkai.com/api/domain/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Risposta del server

{
    "error": 0,
    "message": "Domain has been deleted successfully."
}

Tập tin

Danh sách tệp

ĐƯỢC https://urlkai.com/api/files?limit=2&page=1

Nhận tất cả các tệp của bạn. Bạn cũng có thể tìm kiếm theo tên.

Tàu điện ngầm Descrizione
Tên (tùy chọn) Tìm kiếm tệp theo tên
giới hạn (tùy chọn) Kết quả dữ liệu trên mỗi trang
trang (tùy chọn) Yêu cầu trang hiện tại
curl --location --request GET 'https://urlkai.com/api/files?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Risposta del server

{
    "error": 0,
    "result": 3,
    "perpage": 15,
    "currentpage": 1,
    "nextpage": null,
    "maxpage": 1,
    "list": [
        {
            "id": 1,
            "name": "My Photo",
            "downloads": 10,
            "shorturl": "https:\/\/urlkai.com\/fZuel",
            "date": "2022-08-09 17:00:00"
        },
        {
            "id": 2,
            "name": "My Documents",
            "downloads": 15,
            "shorturl": "https:\/\/urlkai.com\/IkcpR",
            "date": "2022-08-10 17:01:00"
        },
        {
            "id": 3,
            "name": "My Files",
            "downloads": 5,
            "shorturl": "https:\/\/urlkai.com\/TKxla",
            "date": "2022-08-11 19:01:00"
        }
    ]
}

Tải tệp lên

TRỤ https://urlkai.com/api/files/upload/:filename?name=My+File

Tải lên tệp bằng cách gửi dữ liệu nhị phân dưới dạng nội dung bài đăng. Bạn cần gửi tên tệp bao gồm phần mở rộng thay vì :filename trong url (ví dụ: brandkit.zip). Bạn có thể đặt các tùy chọn bằng cách gửi các thông số sau.

Tàu điện ngầm Descrizione
Tên (tùy chọn) Tên tập tin
phong tục (tùy chọn) Bí danh tùy chỉnh thay vì bí danh ngẫu nhiên.
miền (tùy chọn) Tên miền tùy chỉnh
mật khẩu (tùy chọn) Bảo vệ bằng mật khẩu
Hết hạn (tùy chọn) Hết hạn cho ví dụ tải xuống 2021-09-28
Tải xuống tối đa (tùy chọn) Số lần tải xuống tối đa
curl --location --request POST 'https://urlkai.com/api/files/upload/:filename?name=My+File' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '"BINARY DATA"'

Risposta del server

{
    "error": 0,
    "id": 1,
    "shorturl": "https:\/\/urlkai.com\/sVskQ"
}

CTA lớp phủ

Liệt kê lớp phủ CTA

ĐƯỢC https://urlkai.com/api/overlay?limit=2&page=1

Để nhận lớp phủ cta thông qua API, bạn có thể sử dụng điểm cuối này. Bạn cũng có thể lọc dữ liệu (Xem bảng để biết thêm thông tin).

Tàu điện ngầm Descrizione
giới hạn (tùy chọn) Kết quả dữ liệu trên mỗi trang
trang (tùy chọn) Yêu cầu trang hiện tại
curl --location --request GET 'https://urlkai.com/api/overlay?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Risposta del server

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "cta": [
            {
                "id": 1,
                "type": "message",
                "name": "Product 1 Promo",
                "date": "2020-11-10 18:00:00"
            },
            {
                "id": 2,
                "type": "contact",
                "name": "Contact Page",
                "date": "2020-11-10 18:10:00"
            }
        ]
    }
}

Danh sách pixel

ĐƯỢC https://urlkai.com/api/pixels?limit=2&page=1

Để lấy mã pixel của bạn thông qua API, bạn có thể sử dụng điểm cuối này. Bạn cũng có thể lọc dữ liệu (Xem bảng để biết thêm thông tin).

Tàu điện ngầm Descrizione
giới hạn (tùy chọn) Kết quả dữ liệu trên mỗi trang
trang (tùy chọn) Yêu cầu trang hiện tại
curl --location --request GET 'https://urlkai.com/api/pixels?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Risposta del server

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "pixels": [
            {
                "id": 1,
                "type": "gtmpixel",
                "name": "GTM Pixel",
                "tag": "GA-123456789",
                "date": "2020-11-10 18:00:00"
            },
            {
                "id": 2,
                "type": "twitterpixel",
                "name": "Twitter Pixel",
                "tag": "1234567",
                "date": "2020-11-10 18:10:00"
            }
        ]
    }
}

Tạo Pixel

TRỤ https://urlkai.com/api/pixel/add

Một pixel có thể được tạo bằng điểm cuối này. Bạn cần gửi loại pixel và thẻ.

Tàu điện ngầm Descrizione
kiểu (bắt buộc) gtmpixel | Gapixel | FBPIXEL | AdwordsPixel | Linkedinpixel | Twitterpixel | Adrollpixel | Quorapixel | Pinterest | Bing | Snapchat | Reddit | Tiktok
Tên (bắt buộc) Tên tùy chỉnh cho pixel
thẻ (bắt buộc) Thẻ cho pixel
curl --location --request POST 'https://urlkai.com/api/pixel/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "type": "gtmpixel",
    "name": "My GTM",
    "tag": "GTM-ABCDE"
}'

Risposta del server

{
    "error": 0,
    "id": 1
}

Aggiorna Pixel

ĐỂ https://urlkai.com/api/pixel/:id/update

Để cập nhật pixel, bạn cần gửi dữ liệu hợp lệ ở dạng JSON thông qua yêu cầu PUT. Dữ liệu phải được gửi dưới dạng nội dung thô của yêu cầu của bạn như hình dưới đây. Ví dụ dưới đây cho thấy tất cả các thông số bạn có thể gửi nhưng bạn không bắt buộc phải gửi tất cả (Xem bảng để biết thêm thông tin).

Tàu điện ngầm Descrizione
Tên (tùy chọn) Tên tùy chỉnh cho pixel
thẻ (bắt buộc) Thẻ cho pixel
curl --location --request PUT 'https://urlkai.com/api/pixel/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "My GTM",
    "tag": "GTM-ABCDE"
}'

Risposta del server

{
    "error": 0,
    "message": "Pixel has been updated successfully."
}

Xóa Pixel

XÓA https://urlkai.com/api/pixel/:id/delete

Để xóa pixel, bạn cần gửi yêu cầu XÓA.

curl --location --request DELETE 'https://urlkai.com/api/pixel/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Risposta del server

{
    "error": 0,
    "message": "Pixel has been deleted successfully."
}

Splash cá nhân

Danh sách Splash tùy chỉnh

ĐƯỢC https://urlkai.com/api/splash?limit=2&page=1

To get Splash Pages via the API, you can use this endpoint. You can also filter data (See table for more info).

Tàu điện ngầm Descrizione
giới hạn (tùy chọn) Kết quả dữ liệu trên mỗi trang
trang (tùy chọn) Yêu cầu trang hiện tại
curl --location --request GET 'https://urlkai.com/api/splash?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Risposta del server

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "splash": [
            {
                "id": 1,
                "name": "Product 1 Promo",
                "date": "2020-11-10 18:00:00"
            },
            {
                "id": 2,
                "name": "Product 2 Promo",
                "date": "2020-11-10 18:10:00"
            }
        ]
    }
}